<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/invoices/Dt_InboundOrder.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/stock/Dt_WheelsStock_Old.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'wheel_code',
            footer: "Foots",
            cnName: '库存信息(旧)',
            name: 'stock/Dt_WheelsStock_Old',
            url: "/Dt_WheelsStock_Old/",
            sortName: "wheel_code"
        });
        const editFormFields = ref({
        });
        const editFormOptions = ref([
        ]);
        const searchFormFields = ref({
            wheel_code:"",
            model:"",
            axes_type:"",
            repair_item:"",
            wheels_mttype:"",
            dqtz_state:"",
            venderno:"",
            wheels_Location:"",
        });
        const searchFormOptions = ref([
            [
                { "title": "车轮条码", "field": "wheel_code", type: "text" },
                { "title": "车型", "field": "model", type: "select", dataKey: "traintype_names", data: [] },
                //{ "title": "库存类型", "field": "StockType", type: "select", dataKey: "GroupType", data: [] },
                { "title": "轮型", "field": "axes_type", type: "text" },
            ],
            [
                { "title": "新/旧", "field": "repair_item", type: "select", dataKey: "NewOld", data: [] },
                { "title": "动拖属性", "field": "dqtz_state", type: "text" },
               { "title": "等级", "field": "venderno", type: "text" },
            ],
            [
                { "title": "库位号", "field": "wheels_Location", type: "text" },
            ]
        ]);
        const columns = ref([
            //{ field: 'wheels_ID', title: '主键ID', type: 'int', width: 110, readonly: true, hidden: true, require: true, align: 'left' },
            { field: 'wheel_code', title: '车轮码', type: 'string', width: 150, align: 'left' },
            { field: 'locate', title: '库位号', type: 'string', width: 110, align: 'left' },
            { field: 'wheels_CurrentStatue', title: '状态', type: 'int', width: 110, align: 'left', bind: { key: "CurrentStatue", data: [] } },
            //{ field: 'wheels_SequenceNum', title: '序列号', type: 'string', width: 110, align: 'left', sort: true, link: true, },
            //{ field: 'wheels_Num', title: '车轮号', type: 'string', width: 110, align: 'left' },
            //{ field: 'wheels_Type', title: '类型(轮/盘)', type: 'string', width: 110, align: 'left' },
            { field: 'repair_item', title: '新/旧', type: 'string', width: 75, align: 'left' },
            //{ field: 'repair_item', title: '新旧类型', type: 'string',  width: 100, align: 'left',bind: { key: "NewOld", data: [] }} ,
            { field: 'dqtz_state', title: '动/拖', type: 'int', width: 75, align: 'left' },
            { field: 'axes_type', title: '轮型', type: 'string', width: 100, align: 'left' },
            { field: 'venderno', title: '等级', type: 'string', width: 90, align: 'left' },
            { field: 'bearing_type', title: '类型', type: 'string', width: 75, align: 'left' },
            { field: 'model', title: '车型', type: 'string', width: 100, align: 'left'  },
             { field: 'zjj', title: '直径值', type: 'string',  width: 75, align: 'left' },
            // { field: 'wheels_CarNo', title: '车组', type: 'string', width: 75, align: 'left' },
            // { field: 'wheels_ldh', title: '轮对号', type: 'string', width: 100, align: 'left' },
            //{ field: 'wheels_WheelsType', title: '轮型', type: 'string',  width: 100, align: 'left' },
            //{ field: 'wheels_mttype', title: '动拖属性', type: 'string',  width: 100, align: 'left' },
            
            //{ field: 'wheelsProps', title: '属性', type: 'string',  width: 100, align: 'left' },
            // { field: 'wheels_level', title: '等级', type: 'string', width: 100, align: 'left' },
            // { field: 'wheels_gkzja', title: '毂孔a界面均值', type: 'string', sort: true, width: 100, align: 'left' },
            // { field: 'wheels_gkzjb', title: '毂孔b界面均值', type: 'string', sort: true, width: 100, align: 'left' },
            // { field: 'wheels_gkzjc', title: '毂孔c界面均值', type: 'string', sort: true, width: 100, align: 'left' },
       
            // { field: 'wheels_ljz', title: '轮径值', type: 'string', sort: true, width: 100, align: 'left' },
            // { field: 'wheels_ygljz', title: '预估轮径值', type: 'string', sort: true, width: 100, align: 'left' },
            { field: 'dt_ins', title: '入库日期', type: 'string',width: 100, align: 'left' },
        ]);

        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
